----------Machines------------

local crusher = {
	name = "industrial-engineering-crusher",
	icon = "__industrial-engineering__/graphics/icons/crusher.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-crusher"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/crusher/crusher.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/crusher/hr-crusher.png",
              frame_count = 1,
              height = 219,
              priority = "high",
              scale = 0.5,
              shift = {
                0.0234375,
                0.1796875
              },
              width = 239
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/crusher/crusher-shadow.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/crusher/hr-crusher-shadow.png",
              frame_count = 1,
              height = 171,
              priority = "high",
              scale = 0.5,
              shift = {
                0.3515625,
                0.2421875
              },
              width = 227
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/crusher.ogg", volume = 0.75},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1,
	},
	crafting_categories = {"industrial-engineering-crushing"},
	crafting_speed = 1,
	energy_usage = "360kW",
	result_inventory_size = 2,
	source_inventory_size = 1,
	allowed_effects = {
        "consumption",
        "speed",
        "pollution"
    },
	module_specification = {
        module_info_icon_shift = {
			0,
			0.8
        },
        module_slots = 2
    },
	base_productivity = 0.5,
}

local washing_plant = {
	name = "industrial-engineering-washing-plant",
	icon = "__industrial-engineering__/graphics/icons/washing-plant.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-washing-plant"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/washing-plant/washing-plant.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/washing-plant/hr-washing-plant.png",
              frame_count = 1,
              height = 219,
              priority = "high",
              scale = 0.5,
              shift = {
                0.0234375,
                0.1796875
              },
              width = 239
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/washing-plant/washing-plant-shadow.png",
            frame_count = 1,
            height = 100,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/washing-plant/hr-washing-plant-shadow.png",
              frame_count = 1,
              height = 171,
              priority = "high",
              scale = 0.5,
              shift = {
                0.3515625,
                0.2421875
              },
              width = 227
            },
            priority = "high",
            shift = {
              0.421875,
              0
            },
            width = 129
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/washing-plant.ogg", volume = 0.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1,
	},
	crafting_categories = {"industrial-engineering-washing"},
	crafting_speed = 2,
	energy_usage = "90kW",
	result_inventory_size = 2,
	source_inventory_size = 1,
	allowed_effects = {
		"consumption",
        "speed",
        "pollution"
    },
	module_specification = {
        module_info_icon_shift = {
			0,
			0.8
        },
        module_slots = 2
    },
	fluid_boxes = {
		{
			production_type = "input",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 1,
			base_level = -1,
			pipe_connections = {{ type="input", position = {0, 2} }},
			secondary_draw_orders = { north = -1 },
			filter = "water"
		},
	off_when_no_fluid_recipe = false,
	},
	base_productivity = 0.5,
}

local blast_furnace = {
	name = "industrial-engineering-blast-furnace",
	icon = "__industrial-engineering__/graphics/icons/blast-furnace.png",
	icon_size = 64,
	--order
	type = "furnace",
	max_health = 350,
	minable = {mining_time = 0.3, result = "industrial-engineering-blast-furnace"},
	animation = {
        layers = {
          {
            filename = "__industrial-engineering__/graphics/entity/blast-furnace/blast-furnace.png",
            frame_count = 1,
            height = 87,
            hr_version = {
              filename = "__industrial-engineering__/graphics/entity/blast-furnace/hr-blast-furnace.png",
              frame_count = 1,
              height = 174,
              priority = "high",
              scale = 0.75,
              shift = {
                -0.0390625,
                0.0625
              },
              width = 171
            },
            priority = "high",
            shift = {
              -0.046875,
              0.046875
            },
            width = 85
          },
          {
            draw_as_shadow = true,
            filename = "__industrial-engineering__/graphics/entity/blast-furnace/blast-furnace-shadow.png",
            frame_count = 1,
            height = 43,
            hr_version = {
              draw_as_shadow = true,
              filename = "__industrial-engineering__/graphics/entity/blast-furnace/hr-blast-furnace-shadow.png",
              frame_count = 1,
              height = 85,
              priority = "high",
              scale = 0.75,
              shift = {
                1.2265625,
                0.3515625
              },
              width = 277
            },
            priority = "high",
            shift = {
              1.234375,
              0.359375
            },
            width = 139
          }
        }
      },
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/blast-furnace.ogg", volume = 1},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "burner",
		fuel_category = "chemical",
		effectivity = 1,
		emissions_per_minute = 5,
		fuel_inventory_size = 1,
		smoke = {
			{
			frequency = 50,
			name = "smoke",
			position = {
				1.5,
				1
			},
			starting_frame_deviation = 60,
			starting_vertical_speed = 0.08
			}
		},
	},
	crafting_categories = {"industrial-engineering-blast-smelting"},
	crafting_speed = 2,
	energy_usage = "180kW",
	result_inventory_size = 1,
	source_inventory_size = 1,
	fluid_boxes = {
		{
			production_type = "input",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 1,
			base_level = -1,
			pipe_connections = {{ type="input", position = {0, 2} }},
			secondary_draw_orders = { north = -1 },
			filter = "industrial-engineering-oxygen"
		},
	off_when_no_fluid_recipe = false,
	},
	base_productivity = 0.25,
}

data:extend({
    crusher,
	washing_plant,
	blast_furnace,
})